Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(37)

Unified Diff: tools/get_skia_lkgr.sh

Issue 1291603003: Add files from google3 to Git repo. (Closed) Base URL: https://skia.googlesource.com/skia@master
Patch Set: Remove BUILD, add BUILD.public, and update sync script to replace BUILD.google with BUILD. Created 5 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: tools/get_skia_lkgr.sh
diff --git a/tools/get_skia_lkgr.sh b/tools/get_skia_lkgr.sh
new file mode 100755
index 0000000000000000000000000000000000000000..1c38dd5c4517c1105ac6a63c53fcb2948c1e1788
--- /dev/null
+++ b/tools/get_skia_lkgr.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Copyright 2014 Google Inc.
+#
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Outputs the Last Known Good Revision of Skia.
+
+source gbash.sh || exit
+
+set -x -e
+
+# Retrieve last known good revision. (App-engine script is very flaky, so retry
+# 10 times.)
+LKGR=""
+for i in `seq 1 10`; do
+ LKGR=$(curl "http://skia-tree-status-staging.appspot.com/lkgr")
+ if [[ ${#LKGR} -gt 4 ]]; then
+ break
+ fi
+done
+[[ ${#LKGR} -gt 4 ]] || gbash::die "Unable to get Skia LKGR (got '${LKGR}')"
+echo "${LKGR}"

Powered by Google App Engine
This is Rietveld 408576698